package com.sifang.modules.partner.utils;

public class StatusFormVo {

    //顶好的进件序号
    private String inputPieceId;

    //合作方的进件编号
    private String sourceStationNo;

    //商机进件状态
    /**
     * 30-成功  40-失败   50-审核不通过  60-进行中
     * 商机进件当前仅支持系统自动审核
     * 成功：已进件并审核通过；
     * 失败：进件前置校验不通过，进件单没到资产系统；
     * 审核不通过：附件下载失败，系统自动不通过；
     * 进行中：进件的附件下载中；
     */
    private Integer businesssSate;

    //商机进件返回消息
    private String businesssMsg;


    /** 首次进件状态
     * 10-待进件 20-待审核 30-成功 40-失败 50-审核不通过  60-进行中
     *
     * 待进件：已完成商机进件，首次进件未开始；
     * 待审核：进件审核未完成；
     * 成功：已进件并审核通过；
     * 失败：进件前置校验不通过，进件单没到资产系统；
     * 审核不通过：前置校验通过，进件单人工审核不通过/附件下载失败，系统自动不通过；
     * 进行中：进件的附件下载中；
     * 待进件，失败，审核不通过都可以再次调用进件接口
     */
    private Integer firstSate;

    //首次进件返回消息
    private String firstMsg;

    /**
     * 完工进件状态
     * 10-待进件  20-待审核 30-成功 40-失败 50-审核不通过 60-进行中
     *
     * 待进件：完工进件未开始；
     * 待审核：进件审核未完成；
     * 成功：已进件并审核通过；
     * 失败：进件前置校验不通过，进件单没到资产系统；
     * 审核不通过：前置校验通过，进件单人工审核不通过/附件下载失败，系统自动不通过；
     * 进行中：进件的附件下载中；
     *
     * 待进件，失败，审核不通过都可以再次调用进件接口
     */
    private Integer completeSate;

    //完工进件返回消息
    private String completeMsg;


    /**
     * 并网进件状态
     *
     * 10-待进件  20-待审核 30-成功 40-失败 50-审核不通过 60-进行中
     * 待进件：并网进件未开始；
     * 待审核：进件审核未完成；
     * 成功：已进件并审核通过；
     * 失败：进件前置校验不通过，进件单没到资产系统；
     * 审核不通过：前置校验通过，进件单人工审核不通过/附件下载失败，系统自动不通过；
     * 进行中：进件的附件下载中；
     *
     * 待进件，失败，审核不通过都可以再次调用进件接口
     */
    private Integer mergeSate;

    //并网进件返回消息
    private String mergeMsg;

    /**
     * 终止进件状态
     *
     * -10-失败 0-未开始 20-待审核 30-处理中 40-已完成 50-审核不通过
     * 失败-终止申请失败（附件下载失败等原因）
     * 未开始-未申请终止
     * 待审核-终止申请待审核
     * 处理中-结束进件其他流程（变更单）
     * 已完成-已完成终止
     * 审核不通过-拒绝终止申请
     */
    private Integer terminateInputPieceState;


    //终止进件返回信息
    private String terminateInputPieceMsg;


    public String getInputPieceId() {
        return inputPieceId;
    }

    public void setInputPieceId(String inputPieceId) {
        this.inputPieceId = inputPieceId;
    }

    public String getSourceStationNo() {
        return sourceStationNo;
    }

    public void setSourceStationNo(String sourceStationNo) {
        this.sourceStationNo = sourceStationNo;
    }

    public Integer getBusinesssSate() {
        return businesssSate;
    }

    public void setBusinesssSate(Integer businesssSate) {
        this.businesssSate = businesssSate;
    }

    public String getBusinesssMsg() {
        return businesssMsg;
    }

    public void setBusinesssMsg(String businesssMsg) {
        this.businesssMsg = businesssMsg;
    }

    public Integer getFirstSate() {
        return firstSate;
    }

    public void setFirstSate(Integer firstSate) {
        this.firstSate = firstSate;
    }

    public String getFirstMsg() {
        return firstMsg;
    }

    public void setFirstMsg(String firstMsg) {
        this.firstMsg = firstMsg;
    }

    public Integer getCompleteSate() {
        return completeSate;
    }

    public void setCompleteSate(Integer completeSate) {
        this.completeSate = completeSate;
    }

    public String getCompleteMsg() {
        return completeMsg;
    }

    public void setCompleteMsg(String completeMsg) {
        this.completeMsg = completeMsg;
    }

    public Integer getMergeSate() {
        return mergeSate;
    }

    public void setMergeSate(Integer mergeSate) {
        this.mergeSate = mergeSate;
    }

    public String getMergeMsg() {
        return mergeMsg;
    }

    public void setMergeMsg(String mergeMsg) {
        this.mergeMsg = mergeMsg;
    }

    public Integer getTerminateInputPieceState() {
        return terminateInputPieceState;
    }

    public void setTerminateInputPieceState(Integer terminateInputPieceState) {
        this.terminateInputPieceState = terminateInputPieceState;
    }

    public String getTerminateInputPieceMsg() {
        return terminateInputPieceMsg;
    }

    public void setTerminateInputPieceMsg(String terminateInputPieceMsg) {
        this.terminateInputPieceMsg = terminateInputPieceMsg;
    }
}
